---
lang: en
title: 'API docs: rest.compareroute'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.compareroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [compareRoute](./rest.compareroute.md)

## compareRoute() function

Compare two routes by verb/path for sorting

<b>Signature:</b>

```typescript
export declare function compareRoute(route1: Pick<RouteEntry, 'verb' | 'path'>, route2: Pick<RouteEntry, 'verb' | 'path'>): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  route1 | <code>Pick&lt;RouteEntry, 'verb' &#124; 'path'&gt;</code> | First route entry |
|  route2 | <code>Pick&lt;RouteEntry, 'verb' &#124; 'path'&gt;</code> | Second route entry |

<b>Returns:</b>

`number`


